Subject: [Gen-art] review of draft-ietf-isis-rfc2763bis-00.txt

From: Francis Dupont <[email-masked]>
Date: Thu, 26 Jun 2008 16:00:54 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-isis-rfc2763bis-00.txt
Reviewer: Francis Dupont
Review Date: 2008-06-25
IETF LC End Date: 2008-06-23
IESG Telechat date: unknown

Summary: Almost Ready

Comments: I have some editorial concerns:
 - first, as it is an update it should be fine to provided a temporary
 (i.e., marked as to be removed before publication) section about the
 changes from the RFC 2763. This would refrain me to raise concerns shared
 by the RFC 2763...
 - Copyright page 1: if (and *only* if) you issue a new version don't forget
 to update the year.
 - Abstract page 2: put "Abstract" from center to left
 - 1 page 4: a reference for IS-IS should be fine. And please add a
 statement about the use of IS-IS as an IP routing protocol (or I'll ask
 why you don't discuss about X.500 in place of DNS :-).
 - 1 page 4: the abbrev LSP should be introduced.
 - 2 page 5: there is a DNS RR for CLNS NSAPs, it is the NSAP RR.
 So I propose to replace "A and PTR" by a text like "address and reverse".
 - 2 page 5: CLNS and TLV abbrevs should be introduced, and IMHO before
 section 2.
 - 3 page 5: the FQDN (Fully Qualified Domain Name) abbrev should be
 introduced. BTW the "subset of the FQDN" doesn't make sense, it is just
 a Domain Name.
 - 3 page 5: you have to be more accurate about the representation of DNs,
 obviously you'd like the textual representation (not the DNS "on wire" one
 with name compression, wouldn't you?)
 - 4 page 6: it's -> its
 - 6 page 6: Others to be provided.... So provide some?
 - 8.2 page 9: RFC 2119 should be normative.

Regards

[email-masked]
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art